POST /whatsapp/accounts/{id}/messages/{messageId}/read

Mark an inbound message (and the earlier ones) read on WhatsApp; typing also shows the typing indicator (25 seconds or until the next message)

POST
/whatsapp/accounts/{id}/messages/{messageId}/read

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

WhatsApp account id

messageId*string

wamid of the inbound message

Request Body

application/json
  1. body
typing?boolean
Defaultfalse

Response Body

{accountId, messageId, read, typing}

application/json
  1. response
accountId?string
messageId?string
read?boolean
typing?boolean
Example Request
curl -X POST 'https://example.com/api/v1/whatsapp/accounts/string/messages/string/read' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "accountId": "string",  "messageId": "string",  "read": true,  "typing": true}